JUCE: ExtensionsVisitor Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
ExtensionsVisitor Struct Reference
juce_audio_processors » utilities

Create a derived implementation of this class and pass it to AudioPluginInstance::getExtensions() to retrieve format-specific information about a plugin instance. More...

`#include <juce_ExtensionsVisitor.h>`

## Classes
struct | ARAClient
| Can be used to retrieve information about a plugin that provides ARA extensions. More...
struct | AudioUnitClient
| Can be used to retrieve information about an AudioUnit that is wrapped by an AudioProcessor. More...
struct | Unknown
| Indicates that there is no platform specific information available. More...
struct | VST3Client
| Can be used to retrieve information about a VST3 that is wrapped by an AudioProcessor. More...
struct | VSTClient
| Can be used to retrieve information about a VST that is wrapped by an AudioProcessor. More...

## Public Member Functions
| ExtensionsVisitor ()=default
| ExtensionsVisitor (const ExtensionsVisitor &)=default
| ExtensionsVisitor (ExtensionsVisitor &&)=default
ExtensionsVisitor & | operator= (const ExtensionsVisitor &)=default
ExtensionsVisitor & | operator= (ExtensionsVisitor &&)=default
virtual | ~ExtensionsVisitor ()=default
virtual void | visitUnknown (const Unknown &)
| Will be called if there is no platform specific information available.
virtual void | visitVST3Client (const VST3Client &)
| Called with VST3-specific information.
virtual void | visitVSTClient (const VSTClient &)
| Called with VST-specific information.
virtual void | visitAudioUnitClient (const AudioUnitClient &)
| Called with AU-specific information.
virtual void | visitARAClient (const ARAClient &)
| Called with ARA-specific information.

## Detailed Description

Create a derived implementation of this class and pass it to AudioPluginInstance::getExtensions() to retrieve format-specific information about a plugin instance.

Note that the references passed to the visit member functions are only guaranteed to live for the duration of the function call, so don't store pointers to these objects! If you need to store and reuse format-specific information, it is recommended to copy the result of the function calls that you care about. For example, you should store the result of VST::getAEffectPtr() rather than storing a pointer to the VST instance.

## Constructor & Destructor Documentation

## ◆ ExtensionsVisitor() [1/3]

ExtensionsVisitor::ExtensionsVisitor | ( |  | ) |
| default

## ◆ ExtensionsVisitor() [2/3]

ExtensionsVisitor::ExtensionsVisitor | ( | const ExtensionsVisitor & |  | ) |
| default

## ◆ ExtensionsVisitor() [3/3]

ExtensionsVisitor::ExtensionsVisitor | ( | ExtensionsVisitor && |  | ) |
| default

## ◆ ~ExtensionsVisitor()

virtual ExtensionsVisitor::~ExtensionsVisitor | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ operator=() [1/2]

ExtensionsVisitor & ExtensionsVisitor::operator= | ( | const ExtensionsVisitor & |  | ) |
| default

## ◆ operator=() [2/2]

ExtensionsVisitor & ExtensionsVisitor::operator= | ( | ExtensionsVisitor && |  | ) |
| default

## ◆ visitUnknown()

virtual void ExtensionsVisitor::visitUnknown | ( | const Unknown & |  | ) |
| virtual

Will be called if there is no platform specific information available.

## ◆ visitVST3Client()

virtual void ExtensionsVisitor::visitVST3Client | ( | const VST3Client & |  | ) |
| virtual

Called with VST3-specific information.

## ◆ visitVSTClient()

virtual void ExtensionsVisitor::visitVSTClient | ( | const VSTClient & |  | ) |
| virtual

Called with VST-specific information.

## ◆ visitAudioUnitClient()

virtual void ExtensionsVisitor::visitAudioUnitClient | ( | const AudioUnitClient & |  | ) |
| virtual

Called with AU-specific information.

## ◆ visitARAClient()

virtual void ExtensionsVisitor::visitARAClient | ( | const ARAClient & |  | ) |
| virtual

Called with ARA-specific information.

The documentation for this struct was generated from the following file:

- juce_ExtensionsVisitor.h